> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Summarize webhook event state counts for a tenant (dashboard helper).

> Webhook event state counts and age for this tenant

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

### Response

`object`

<ResponseField name="tenantId" type="string" required />

<ResponseField name="storage" type="string" required>
  Which store the summary was computed from (`database` or `memory`)
</ResponseField>

<ResponseField name="counts" type="object" required>
  <Expandable title="counts">
    <ResponseField name="queued" type="integer" required />

    <ResponseField name="running" type="integer" required />

    <ResponseField name="succeeded" type="integer" required />

    <ResponseField name="failed" type="integer" required />

    <ResponseField name="total" type="integer" required />
  </Expandable>
</ResponseField>

<ResponseField name="oldestReceivedAt" type="string (date-time)" />

<ResponseField name="newestReceivedAt" type="string (date-time)" />

<ResponseField name="oldestQueuedReceivedAt" type="string (date-time)" />

<ResponseField name="warning" type="string" />

### Status codes

| Code  | Meaning                                            |
| ----- | -------------------------------------------------- |
| `200` | Webhook event state counts and age for this tenant |
| `401` | Unauthorized                                       |
| `404` | Tenant not found                                   |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/summary' \
    --header 'x-stateset-api-key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "tenantId": "acme-outdoors",
    "storage": "string",
    "counts": {
      "queued": 1,
      "running": 1,
      "succeeded": 1,
      "failed": 1,
      "total": 102
    },
    "oldestReceivedAt": "2026-08-31T14:22:05Z",
    "newestReceivedAt": "2026-08-31T14:22:05Z",
    "oldestQueuedReceivedAt": "2026-08-31T14:22:05Z",
    "warning": "string"
  }
  ```
</ResponseExample>
